﻿html {
    font-size: 13px;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

/*body {
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif !important;
    line-height: 1.5 !important;
    color: #333 !important;
    background-color: #fff !important;
    margin: 0;
    padding: 0;
    overflow: auto !important;
} */

input,
button,
select,
textarea {
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
    border-radius: 5px;
}

a {
    color: #428bca;
    text-decoration: none;
}

    a:hover,
    a:focus {
        color: #2a6496;
        text-decoration: underline;
    }

    a:focus {
        outline: thin dotted;
        outline: 5px auto-webkit-focus-ring-color;
        outline-offset: -2px;
    }

img {
    vertical-align: middle;
}

.base_markup {
    width: 3px;
    height: 3px;
    clip: rect(3px 3px 3px 3px);
    position: absolute;
    color: rgba(255,255,255,0);
}

select:hover,
button:hover,
select:focus,
button:focus {
    outline: thin dotted;
    background-color: lightgreen;
}


.Main_window {
    display: inline-flex;
    flex-wrap: wrap;
}

.LeftRegion_window {
    min-width: 200px;
    max-width: 350px;
}

.RightRegion_window {
    background-color: white;
}

.base_normal {
    display: block;
    background-color: lightgray;
}

    .base_normal:hover {
        background-color: aqua;
    }

.base_window {
    display: inline-block;
    background-color: lightpink;
    overflow: auto;
}

.wCanvas_title,
.base_title {
    display: inline-block;
    text-align: center;
    font-size: large;
    width: 100%
}

.TreeTable2D_window,
.Table2D_window {
    display: table;
    border: 1px solid black;
    /*position: absolute;
    top: 0px;
    left: 20%;
    width: 80%;*/
}

.Table2D_window tr:hover {
    border-bottom: 2px solid;
}

.Table2D_title {
    display: table-caption;
    font-size: large;
    caption-side: top;
    background-image: url(../images/download.svg);
    background-position-x:left;
    background-size: contain;
    background-repeat: no-repeat;
}

.TreeTable2D_title {
    display: table-caption;
    font-size: large;
    caption-side: top;
}

.AnchorDownload {
    height: 30px;
    width: 30px;
    background-image: url(../images/download.svg);
    background-position-x: left;
    background-size: contain;
    background-repeat: no-repeat;
}

.LeftRegion_title,
.RightRegion_title,
.wCanvas_markup,
.Tree_markup,
.TreeTable2D_markup,
.Table2D_markup {
    display: block;
    font-size: smaller;
    font-family: 'Courier New';
    height: 0px;
    overflow: hidden;
}
.Table2D_header {
    background-color: lightgray;
}
.TreeTable2D_normal,
.Table2D_normal {
    display: table;
    border: 1px solid black;
    width: 100%;
}
.TreeTable2D_body, 
.Table2D_body {
    text-align: center;
}

.Table2D_body td .RadioGroup_window{
    display: inline-flex;
    flex-direction: row;
}

    .Table2D_body td .RadioGroup_window .menu_menu {
        width: auto;
        height: auto;
        padding: 2px;
    }

.menu_window {
    text-align: center;
    background-color: cornsilk;
    border-radius: 6px;
    border: groove;
    z-index: 30;
    position: absolute;
    list-style-type: none;
    list-style-position: inside;
    padding: 0px;
}

.menu_menu {
    border-style: groove;
    text-align: left;
}

    .menu_menu:hover {
        background-color: aqua;
        font-style: italic;
    }
    .menu_menu[aria-disabled=true] {
        opacity: .5;
        background-color: lightgray;
    }

.menu_active {
    border-style: groove;
    text-align: left;
    background-color: aqua;
    font-style: italic;
}


.Tree_window {
    position: relative;
    width: 100%;
}

.Tree_title {
    display: block;
    font-size: large;
    background-color: lightsteelblue;
}

.Tree_attention {
    background-color: yellow;
}

.TreeNode_item:hover,
.Tree_active {
    font-style: italic;
    font-size: medium;
}

.TreeNode_body, .Tree_menu {
    text-align: left;
    list-style-type: none;
    list-style-position: inside;
    padding-left: 10px;
    font-size: small;
    font-style: normal;
    background-color: white;
}

.TreeNode_normal {
    border: none;
    background: none;
    display: inline;
}

.MultiSelect_window {
    max-height: 50vh;
    overflow-y: scroll;
    background-color: red;
}

.TblGraph_button {
    background-color: lightgray;
    border: groove;
    border-radius: 5px;
    width: auto;
}

.TblGraph_div {
    display: flex;
}

.TblGraph_div0 {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    width: 25%;
}

.TblGraph_div1 {
    position: relative;
    height: 50%;
}

.TblGraph_div2 {
    width: 75%;
    padding: 10px;
}

.Select_title {
    display: inline-block;
}

.PermRestrict_window {
    max-height: 50vh;
    overflow-y: scroll;
}

.Stepper_window {
    width: fit-content;
    display: flex;
    flex-direction:row;
    text-align: center;
    border-radius: 6px;
    border: groove;
    list-style-type: none;
    list-style-position: inside;
    padding: 0px;
    border:none;
    padding-top: 0px;
    padding-bottom: 0px;
}

.Stepper_label {
    display: flex;
    line-height: 2em;
}
    .Stepper_label > img {
        height: 2em;
    }
    .Stepper_label > div {
        margin-left: 0.5em;
    }
.Stepper_image {
    height: 2em;
}

.Stepper_menu {
    text-align: left;
 }

    .Stepper_menu:hover {
        background-color: aqua;
        font-style: italic;
    }
.Stepper_menu[aria-disabled=true] {
    opacity: .5;
    background-color: lightgray;
}


.Stepper_active {
    background-color: aqua;
    font-style: italic;
}

.RadioGroup_menu {
    display: block;
}

.RadioGroup_active {
    font-size: larger;
    font-style: italic;
}
.RadioGroup_menu > div {
    display: inline-block;
}
.RadioGroup_menu > label {
    display: flex;
}

.CheckboxGroup_window input,
.CheckboxGroup_window input:focus-visible,
.CheckboxGroup_window input:focus {
    outline: none;
}

.CheckboxGroup_window {
    display: flex;
}
.CheckboxGroup_menu {
    display: inline-block;
}

.CheckboxGroup_active {
    font-size: larger;
    font-style: italic;
    outline: 1px dotted black;
}

.CheckboxGroup_menu > div {
    display: inline-block;
}

.CheckboxGroup_menu > label {
    display: flex;
}


.Dialog_attention,
.InfoDialog_attention,
.InputAsync_attention {
    color: firebrick;
    font-style: italic;
    display: inline-block;
}

.Dialog_attention,
.InfoDialog_attention {
    border-color: firebrick;
    border:medium;
}

.Dialog_body label[data-required=true]:after,
.InfoDialog_body label[data-required=true]:after {
    content: "*";
    color: red;
}


.SSE_window,
.PagePreviewer_window,
.ContactGetter_window,
.AlertThen_window {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 99;
    background-color: rgba(0,0,0,.5);
    align-content: center;
    overflow: auto;
}

.SSE_normal {
    width: 100%;
    height: calc( 100% - 25px);
    overflow-y: auto;
    overflow-x: hidden;
}

.SSE_body {
    width: 60%;
    height: 90%;
    overflow: hidden;
    margin-left: 15%;
    margin-top: 5%;
    position: relative;
    max-width: 250px;
    max-height: 800px;
    background-color: white;
}

.SSE_menu {
    display: block;
    height: 28px;
}

.SSE_left {
    background-image: url("../images/up.svg");
    background-repeat: no-repeat;
    width: 1.5em;
    height: 1.125em;
    border: 2px;
    border-color: white;
    padding: 0px;
    border-radius: 10px;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 10;
    margin: 5px;
}

.SSE_right {
    background-image: url("../images/down.svg");
    background-repeat: no-repeat;
    background-size: contain;
    width: 1.5em;
    height: 1.125em;
    border: 2px;
    border-color: white;
    padding: 0px;
    border-radius: 10px;
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 10;
    margin: 5px;
}
.SSE_div0 {
    background-image: url("../images/close.png");
    background-repeat: no-repeat;
    background-size: contain;
    width: 1.5em;
    height: 1.125em;
    border: 2px;
    border-color: white;
    padding: 0px;
    border-radius: 10px;
    position: absolute;
    top: 50%;
    left: 0;
    z-index: 10;
    margin: 5px;
}


.SSE_button {
    height: 24px;
    width: 30px;
    padding: 0;
    margin: 0;
    border: none;
    background-image: url(../images/close.png);
    background-size: contain;
    margin-top: 1px;
    margin-right: 5px;
    float: right;
}


PagePreviewer_window {
    overflow: hidden;
}
.PagePreviewer_button {
    position: absolute;
    top: 4%;
    right: 2%;
    z-index: 10;
}


.AlertThen_normal {
    margin-top: 5%;
    margin-left: 25%;
    margin-right: 25%;
    color: black;
    z-index: 100;
}

.AlertThen_title {
    background-color: darkblue;
    color: white;
    font-size: medium;
}

.AlertThen_body {
    background-color: white;
    padding-top: 20px;
    padding-bottom: 20px;
}

.AlertThen_button {
    background-color: white;
    align-content: center;
}

.AlertThen_div0 {
    width: 100%;
    height: 100%;
    background-image: url(/Images/waiting.gif);
    background-size:  100px;
    background-repeat: no-repeat;
    background-position: center;
}

.PagePreviewer_body {
    display: block;
    height: 98%;
    width: 98%;
    margin: 2%;
    overflow: auto;
    background-color: red;
}

.LEColl_header {
    background-color: lightgray;
    font-weight:bold;
    width: 99%;
}

.InfoEdit_window div {
    overflow-x: hidden;
}

.InfoEdit_item {
    outline: -webkit-focus-ring-color auto 1px;
}

.InfoEdit_div1 {
    border-style: dashed;
}


.MultiSelect_active,
.InfoEdit_active,
.LabelEdit_active {
    background-color: turquoise;
}

.InfoEdit_attention,
.LabelEdit_attention {
    color:firebrick;
}

.InfoEdit_div0 {
    overflow: visible;
}



.DateInput_window,
.TextInput_window {
    left: 5px;
    top: 0px;
    width: 90%;
    float: left;
    z-index: 10;
    border-color: turquoise;
}
.Select_window {
    left: 0px;
    top: 0px;
    float: left;
    z-index: 10;
    border-color: turquoise;
}
.Select_window:focus {
    border: solid 2px black;
}

.InfoDialog_attention1 {
    border-color: firebrick;
}

.Dialog_window,
.InfoDialog_window {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 50;
    background-color: rgba(128,128,128,.25);
    align-content: center;
    overflow: auto;
}

.Dialog_window,
.InfoDialog_window {
    text-align: center;
}
.Dialog_title,
.InfoDialog_title {
    text-align: center;
}
.Dialog_normal, .InfoDialog_normal {
    margin-top: 5%;
    max-width: 1000px;
    background-color: lightgoldenrodyellow;
    overflow: auto;
    border-radius: 20px;
    padding: 20px;
    border: outset;
    display: inline-block;
}

.Dialog_body,
.InfoDialog_body {
    display: grid;
    width: auto;
    grid-template-columns: 1fr 5fr;
    grid-column-gap: 0px;
    grid-row-gap: 0px;
}

    .Dialog_body > div > input {
        width: auto;
    }
    .InfoDialog_body > div > input.CheckBox_window {
        width: 20px;
    }

.Dialog_right {
    height: 30px;
    width: 30px;
    padding: 0;
    margin: 0;
    border: none;
    background-image: url(../images/close.png);
    background-size: contain;
    background-repeat: no-repeat;
    margin-right: 5px;
    float: right;
    top: -1em;
    position: relative;
    display: inline-block;
    z-index: 10;
}


.DDT_div0 {
    float: right;
    padding-right: 5px;
}

.DDT_window {
    height: 100%;
    overflow: hidden;
    position: relative;
}

.DDT_body {
    height: calc(100% - 6em);
    width: 100%;
    overflow-y:auto;
    overflow-x:hidden;
}

.DTB_normal {
    display: inline-block;
    align-content: center;
    border:groove;
    border-radius: 3px;
    width: 100%;
    text-align: center;
    border-color: darkseagreen;
    background-color: darkseagreen;
    bottom: 0;
    position: fixed;
}

.DTB_body {
}

.DTB_button {
    background-color: inherit;
    width: 100%;  
}
.DTB_button:disabled {
    background-color:darkgray;
}

.DisplayDiv_window {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
    position:relative;
    overflow: hidden;
}

.DisplayDiv_body {
    min-height: 50px;
    background-color: grey;
    position:relative;
    overflow:hidden;

}

.DisplayDiv_button {
    float:right;
    background-color: lightcoral;
}

.DisplayDiv_header {
    min-height: 1.6em;
    background-color: black;
    padding-left: 5%;
    padding-right: 5%;
    padding-top: 3px;
    border-radius: 20px;
    padding-bottom: 3px;
}

.DisplayDiv_item {
    margin: 3px;
    display: inline-block;
}

.DisplayDiv_popup {
    z-index: 10;
    width: 50%;
    min-height: 7em;
    max-height:12em;
    background-color: red;
    float: left;
    position: absolute;
    top: 0;
    left: 25%;
    margin-top: 5%;
}
    .DisplayDiv_popup .ck-editor__editable {
        max-height: 12em;
        min-height: 12em;
    }


.upArrow {
    background-image: url("../images/up.svg");
    background-repeat: no-repeat;
    width: 1.5em;
    height: 1.125em;
    border: 2px;
    border-color: white;
    padding: 0px;
    border-radius: 10px;
}
.downArrow {
    background-image: url("../images/down.svg");
    background-repeat: no-repeat;
    width: 1.5em;
    height: 1.125em;
    border: 2px;
    border-color: white;
    padding: 0px;
    border-radius: 10px;
}

.SlideShow_window {
    max-width: 1000px;
    height: 100%;
    text-align: center;
    margin: auto;
}

/* Slideshow container */
.SlideShow_body {
    width: 100%;
    height: 100%;
    position: relative;
    margin: auto;
    text-align: center;
}

.SlideShow_normal {
    display: block;
    margin: auto;
    position: relative;
    -webkit-animation-name: fade;
    -webkit-animation-duration: 1.5s;
    animation-name: fade;
    animation-duration: 1.5s;
}


.SlideShow_item {
    margin: auto;
    overflow: hidden;
    vertical-align: middle;
}

.SlideShow_title {
    background-color:darkgray;
    color:white;
    font-size:large;
    display: block;
    margin:auto;
}

.SlideShow_footnote {
    font-size: x-small;
    font-style: italic;
    background-color: darkslategrey;
    color: white;
    text-align: left;
    margin: auto;
}

/* Next & previous buttons */
.SlideShow_normal .prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 5px;
    /* margin-top: -22px; */
    color: black;
    font-weight: 500;
    font-size: large;
    border-radius: 10px 10px 10px 10px;
    user-select: none;
    z-index: 10;
}

.SlideShow_normal .prev {
    left: 0px;
    padding-right: 10px;
}

/* Position the "next button" to the right */
.SlideShow_normal .next {
    right: 0px;
    padding-left: 10px;
}

@-webkit-keyframes SlideShow_normal {
    from {
        opacity: .4
    }

    to {
        opacity: 1
    }
}

@keyframes SlideShow_normal {
    from {
        opacity: .4
    }

    to {
        opacity: 1
    }
}

/* The dots/bullets/indicators */
.SlideShow_div1 {
    text-align: center;
    bottom: 0px;
    position: relative;
    height: 20px;
    background-color: rgba(255,255,255,.75);
}

.SlideShow_div1 > span{
    cursor: pointer;
    height: 15px;
    width: 15px;
    margin: 0 2px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
}

    .SlideShow_div1 .SlideShow_active, .SlideShow_div1 > span:hover {
        background-color: #717171;
    }

.displayTemplate .BackgroundContainer_window {
    display: inline-flex;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100%;
    width: 100%;
}


.MBD_body {
    background-color: rgba(255, 255, 255, 0.8);
    border-radius: 10px;
    display: inline-flex;
    flex-direction:column;
    position: absolute;
    width: auto;
    height: auto;
}

.MBD_body > img {
    width: 100%;
    height: 100%;
}

.MBD_normal {
    margin: 0px;
    padding: 0px;
}

.MBD_div0 {
    width: 20em;
    height: 5em;
    min-height: 1.2em;
    min-width: 5em;
    padding: 10px;
    overflow: hidden;
    position: relative;
}

.MBD_div1 {
    height: 30px;
    background-color: white;
    opacity: 50;
    text-align: center;
    bottom: 0px;
    display: none;
}
    .MBD_div1 > input[type=range],
    .BackgroundContainer_div1 > input[type=range] {
        /*writing-mode: vertical-lr; /* IE */
        /*-webkit-appearance: slider-vertical; */ 
        height: 10px;
        padding: 5px 5px;
        background-color: red;
    }

.MBD_button,
.BackgroundContainer_button {
    background-image: url(../images/settings.png);
    background-size: contain;
    width: 20px;
    height: 20px;
    position: absolute;
    right: 0px;
}


.MoveBar_window {/*this is for vertical resize*/
    width: 100%; 
    height: 4px; 
    background-color:rgba(0,0,0,0);
    position: absolute;
    z-index:20;
    bottom:0px;
    left:0px;
    display: block;
}
    .MoveBar_window:focus, .MoveBar_window:hover {
        background-image: linear-gradient(135deg, white 25%, transparent 25%), linear-gradient(225deg, white 25%, transparent 25%), linear-gradient(45deg, white 25%, transparent 25%), linear-gradient(315deg, white 25%, transparent 25%);
        background-position: 4px 0, 5px 0, 0 0, 0 0;
        background-size: 4px 5px;
        background-color: #333333;
        cursor: n-resize;
    }


.MoveBar_body {/* this is for horizontal resize*/
    width: 10px;
    height: 100%;
    background-color: rgba(0,0,0,0);
    position: absolute;
    z-index: 10;
    top: 0px;
    left: 0px;
}

.MoveBar_body:focus, .MoveBar_body:hover {
    background-image: linear-gradient(135deg, white 25%, transparent 25%), linear-gradient(225deg, white 25%, transparent 25%), linear-gradient(45deg, white 25%, transparent 25%), linear-gradient(315deg, white 25%, transparent 25%);
    background-position: 4px 0, 5px 0, 0 0, 0 0;
    background-size: 4px 5px;
    background-color: #333333;
    cursor: n-resize;
}

.ResizeHandle_window {
    background: repeating-linear-gradient( 135deg, rgba(255,255,255,0) 0px, rgba(255,255,255,0) 4px, rgba(0,0,0,1) 6px );
    position: absolute;
    height: 15px;
    width: 15px;
    height: 15px;
    right: 0px;
    bottom: 0;
} 

.ResizeHandle_window:focus, .ResizeHandle_window:hover {
    cursor: nwse-resize;
}

.ImageDisplay_window {
    text-align: center;
}

.MBD_title,
.ImageDisplay_title {
    font-size: large;
    background-color: darkslategrey;
    color: white;
    text-align: center;
 }

.MBD_footnote,
.ImageDisplay_footnote {
    font-size: x-small;
    font-style: italic;
    background-color: darkslategrey;
    color: white;
    text-align: left;
}

.ImageDisplay_body {
    display: inline-block;
    position: relative;
    background-color: white;
}
.CKEdit_window {
   z-index: 10;
   width: 65%;
   position: fixed;
}
.ColorChooser_window {
    z-index: 10;
    width: 200px;
    background-color: white;
    position: fixed;
}

.ColorChooser_header,
.CKEdit_header {
    height: 1.6em;
    display: flex;
    flex-direction: row;
}
.CKEdit_div0 {
    background-image: url(../images/save.png);
    background-origin: padding-box;
    background-position-x: left;
    background-repeat: no-repeat;
    background-size: contain;
    display: inline-block;
    background-color: white;
    flex-grow: 1;
    text-align: center;
    padding-left: 15px;
}

.ColorChooser_div0 {
    display: inline-block;
    background-color: white;
    border:solid;
    flex-grow: 1;
    text-align: center;
    padding-left: 15px;
}
    .ColorChooser_div0:hover,
    .CKEdit_div0:hover {
        cursor: move;
    }

.CKEdit_button {
    float: right;
    background-color:darkred;
}

.CB_window {
    z-index: 10;
    background-color: white;
    float: left;
    position: fixed;
    border:thin groove;
}

.CalendarMonth_window {
    position: relative;
    height: 100%;
}

.CalendarMonth_header {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    grid-template-rows: 1.5em;
    text-align: center;
}

.CalendarMonth_body {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    grid-template-rows: repeat(5, 1fr);
    height: calc(100% - 8em);
}

    .CalendarMonth_header div,
    .CalendarMonth_body > span {
        border: thin solid black;
    }

    .CalendarMonth_body > span {
        position: relative;
        display: inline-flex;
        flex-direction: row;
        overflow: hidden;
    }

.CalendarMonth_item {
    display: inline-block;
    top:0;
    left: 0;
    height: 1em;
    width: 2em;
    margin: 2px;
}

.CalendarMonth_div1 {
    display: block;
    overflow: hidden;
    flex-grow: 1;
    text-align: left;
}

.CalendarMonth_div2 {
    white-space: nowrap;
    text-overflow:ellipsis;
    overflow: hidden;
    height: 1.1em;
}

.CalendarMonth_controls {
    text-align: center;
}
    .CalendarMonth_controls .Select_window {
        left: auto;
        top: auto;
        float: none;
    }

    .CalendarMonth_controls button {
        background-color: rgba(255,255,255,0);
        font-weight: bold;
    }

.CD_active,
.CalendarMonth_active {
    background-color: greenyellow; 
}

.CD_window {
    width: 75%;
    height: 75vh;
    position: absolute;
    top: 20%;
    left: 20%;
    overflow:hidden;
    background-color: white;
    border:groove;
}


.CD_body {
    display: grid;
    grid-template-columns: 6em 1fr;
    grid-template-rows: repeat(3em);
    height: calc(100% - 3.6em);
    overflow: auto;
}
    .CD_body > div {
        height: 3em;
        border-bottom: 1px solid;
        text-align: left;
        overflow-x: hidden;
        position: relative;
    }

    .CD_body .CD_item {
        border-left: 1px solid;
        position: relative;
        height: 100%;
        overflow: visible;
        display: flex;
        flex-grow: 1;
        flex-direction: row;
    }

.CD_header {
    display: grid;
    grid-template-columns: 6em 1fr;
    grid-template-rows: repeat(3em);
    overflow: auto;
    background-color: darkgray;
    color: white;
}

    .CD_header .CD_item {
        position: relative;
        height: 100%;
        overflow: visible;
        display: flex;
        flex-grow: 1;
        flex-direction: row;
        text-align:center;
        font-weight: bold;
    }

    .CD_header .CD_item > .CD_item {
        display: inline-block;
    }

    .CD_header > div {
        font-weight: bold;
    }

.CD_controls {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 1.8em;
}

    .CD_controls > span {
        width: 100%;
        text-align: center;
        background-image: linear-gradient(darkgrey, blue, darkgrey);
        color: white;
    }

        .CD_controls > span:hover {
            cursor: move;
            background-image: linear-gradient(blue, darkgrey, blue);
        }
    
    .CD_controls > span:focus {
          background-image: linear-gradient(blue, darkgrey, blue);
    }
.CD_normal {
    display: inline-block;
    overflow-y: visible;
    background-color: bisque;
    border: 2px outset;
    border-radius: 10px;
    position: absolute;
    text-overflow: ellipsis;
    overflow: hidden;
    z-index: 10;
    min-height: 1.1em;
}
.CD_attention {
    border-right-width: 5px;
    border-bottom-width: 5px;
    font-style:italic;
    font-weight: bold;
}


.PUMS_window {
    overflow: visible;
    height: 100%;
    position: relative;
}

    .PUMS_window .MultiSelect_window {
        position: absolute;
        width: auto;
        z-index: 20;
        background-color: white;
        padding: .5em;
        top: 1em;
        border: outset;
        border-radius: 10%;
    }


.QRScan_controls {
    display: inline-block;
    text-align: center;
    position: relative;
    width: 100%;
}

    .QRScan_controls .TextInput_window {
        width: 30em;
        font-size: small;
        float:none;
    }

    .QRScan_controls .QRScan_label {
        margin-left: 2em;
        font-style: italic;
        font-weight: bold;
    }


.QRScan_body {
    width: 40vw;
    height: 40vw;
    background-image: url("../Images/QRCode.png");
    background-repeat: no-repeat;
    background-size: cover;
    margin-top: 1em;
}


.MTV_controls {
    display: flex;
    flex-wrap: wrap;
    flex-shrink: 4;
    font-size: small;
}

    .MTV_controls.MTV_attention {
        border-bottom: 3px solid black;
    }

    .MTV_controls > div {
        flex-grow: 1;
        position: relative;
    }

    .MTV_controls .MTV_attention input[type=button] {
        /*border: outset;
            border-bottom:none;*/
    }

    .MTV_controls input[type=button] {
        border: none;
        width: 100%
    }

.MTV_div1 {
    display: flex;
    flex-wrap: wrap;
}
.MTV_normal {
    text-align: center;
}

.AccBlock_active {
    display: block;
}
.AccBlock_show {
    display: block;
}
.AccBlock_hidden {
    display: none;
}

.BCR_window {
    display: inline-block;
    position: relative;
    text-align: center;
}
.BCR_controls {
    width: 100%;
    height: 1.5em;
}

.BCR_body {
    display: block;
    background-image: url("../images/barcode.svg");
    background-repeat: no-repeat;
    background-size:cover;
    width:200px;
    height: 200px;
}

.TDyn_controls {
    display: inline-flex;
}

.TDyn_controls button {
    height: 100%;
}

    .TDyn_controls input {
        min-width: 30em;
    }

.CMV_body {
   height: 50vh;
   position: relative;
}

.CMV_body .CKEdit_window {
    height: 65vh;
    width: 85%;
    left: 5%;
}

.CMV_body > div > div > div.ck.ck-reset.ck-editor.ck-rounded-corners {
  height: 65vh; 


}
.CMV_body > div > div > div.ck.ck-reset.ck-editor.ck-rounded-corners > div.ck.ck-editor__main {
    max-height: none;
}

div.CMV_body > div > div > div.ck.ck-reset.ck-editor.ck-rounded-corners > div.ck.ck-editor__main > div {
    height: 100%;
    width: 100%;
    text-indent: 2em;
}
.RMV_window .RMV_div4,
.CMV_window .CMV_div3,
.CMV_window .CMV_div2,
.CMV_window .RLine_window {
    display: flex;
    border: solid 1px;
    height: 2em;
}
    .CMV_window .CMV_div2 .TextInput_window {
        display: inline-block;
        width: fit-content(stretch);
        border: none;
        margin: 0px;
        padding: 0px;
        margin-left: 1em;

    }
    .CMV_window .RLine_window .CA_window {
        display: inline-flex;
        min-height: 1.1em;
        padding-top: 1px;
        width: 85%;
        margin-left: 5%;
    }
    .CMV_window .RLine_window .CA_window label {
        margin: 3px;
        font-weight: bold;
    }

.CMV_window .RLine_window .CA_window input {
    border: none;
    min-width: 20em;
}

    .CMV_window .RLine_window .CA_window input {
        height: auto;
        min-height: 1.1em;
        padding: 2px;
        margin-bottom: 0px;
        text-indent: 1em;
    }

    .RMV_window .RMV_div4 span.RMV_item,
    .CMV_window .CMV_div3 span.CMV_item,
    .CMV_window .RLine_window span.RLine_item {
        border: outset;
        border-radius: 10px 10px;
        width: 5em;
        margin-left: 1em;
    }

    .CMV_window .CMV_div3 span.CMV_item:hover,
    .CMV_window .CMV_div3 span.CMV_item:focus {
        color: blue;
    }



    .CMV_window .CMV_div3 span.CMV_item button,
    .CMV_window .RLine_window span.RLine_item  button {
        height: 1em;
        width: 1em;
        background-image: url(/images/x.svg);
        background-position-x: right;
        background-size: contain;
        background-repeat: no-repeat;
        margin-left: .5em;
    }

.RMV_window .RMV_div4 span.RMV_item button {
    height: 1em;
    width: 1em;
    background-image: url(/images/download.svg);
    background-position-x: right;
    background-size: contain;
    background-repeat: no-repeat;
    margin-left: .5em;
}

.RMV_div4 >span:nth-child(1),
.CMV_div3 >span:nth-child(1) {
    height: 1.44em;
    width: 1.44em;
    background-image: url(/images/paperclip.svg);
    background-position-x: right;
    background-size: contain;
    background-repeat: no-repeat;
    margin-left: .5em;
}

.RMV_div1 {
    display: block;
    margin-left: 1em;
}
.RMV_div2 span:nth-child(1){
    width: 10em;
}
.RMV_div2 span:nth-child(2) {
    padding-left: 2em;
}

.RMV_controls {
    width: 100%;
    min-height: 2em;
    display: flex;
    flex-direction: row;
    flex-flow: row-reverse;
}

.RMV_controls button {
    background-size: contain;
    background-repeat: no-repeat;
    background-color: white;
    width: 1.44em;
    height: 1.44em;
    padding: 0px;
}

.RMV_body {
    border: 2px outset;
}

    .RMV_controls button:disabled {
        background-color: grey
    }

    .RMV_controls button:nth-child(2) {
        background-image: url("/Images/reply-line.svg");
    }
    .RMV_controls button:nth-child(3) {
        background-image: url("/Images/reply-all-line.svg");
    }
    .RMV_controls button:nth-child(1) {
        background-image: url("/Images/share-forward-line.svg");
    }

.RMV_div3 {
    margin-left: 1.44em;
}
.RMV_div3.RMV_active {
    cursor: pointer;
}

.FileGet_window {
    /*WI-130897
    position: absolute;
    left: 0;
    top:0;
    z-index: 10;
    background-color: white;
    border: 3px solid var(--jcmaPurple);
    */

    position: absolute;
    left: 0;
    top: 0;
    z-index: 10;
    background-color: white;
    border: 1px solid #c4c4c4;
    margin: 0px 15px 15px 15px;
    ;
    box-shadow: 0 1px 3px 1px rgba(0,0,0,.2);
    padding: 25px;
    background-color: #fafafa;
    border-top: 5px solid var(--jcmaPurple);
}

.FileGet_title {
    /*WI-130897
    background-color: var(--jcmaPurple);
    color: white;
    text-align:center;
    */

    background-color: transparent;
    color: #2d3a4a;
    text-align: center;
    font-size: 1.25em;
    margin-bottom: 15px;
}

.FileGet_normal {
    margin-bottom: 15px;
}

.FileGet_window button {
    padding: 10px 40px;
    border: none;
    background-color: #151616;
    color: #fff;
    margin-right: 15px;
    margin-bottom: 15px;
}

.FileGet_window input[type="file"] {
    background-color: #fff;
}

.FileGet_window button[disabled] {
    background-color: #cecece;
    cursor: default;
}

